#
# spec file for package wwwoffle (Version 2.8e)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip htdig info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           wwwoffle
BuildRequires:  htdig
License:        GPL
Group:          Productivity/Networking/Web/Proxy
Autoreqprov:    on
Summary:        World Wide Web Offline Proxy
URL:            http://www.gedanken.demon.co.uk/wwwoffle/
Version:        2.8e
Release:        15.2
Source0:        ftp://ftp.demon.co.uk/pub/unix/httpd/wwwoffle-%version.tar.bz2
Source1:        rc.%name
Source3:        ip-up.%name
Source4:        ip-down.%name
Source5:        %name.cron
Patch:          %name-2.8d.diff
Patch1:         %name-2.8d-IndexProtocol.diff
Patch2:         %name-2.8d-overflow.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq

%description
A proxy HTTP server for computers with dial-up internet access.

- Caching of pages viewed while connected for review later.

- Browsing of cached pages while not connected, with the ability to
   follow links and mark other pages for download.

- Non-interactive downloading of specified pages.

- Multiple indices of pages stored in cache for easy selection.

- Interactive or command line option to select pages for fetching
   individually or recursively.

- All options controlled using a simple configuration file with a web
page to edit it.



Authors:
--------
    Andreas Dietrich <quasi@baccus.franken.de>
    Andrew M. Bishop <amb@gedanken.demon.co.uk>
    Axel Rasmus Wienberg <2wienbe@informatik.uni-hamburg.de>
    Tilman Bohn <tb@bohn.isdn.uni-heidelberg.de>
    Ullrich von Bassewitz <uz@wuschel.ibb.schwaben.com>
    Walter Pfannenmller <Walter.Pfannenmueller@t-online.de>
    Yannick Versley <sa6z225@public.uni-hamburg.de>

%debug_package
%prep
%setup -q
#%patch -p1
%patch1
%patch2 -p1

%build
export LC_ALL=C
CFLAGS=$RPM_OPT_FLAGS \
./configure $RPM_ARCH-suse-linux \
        --prefix=/usr \
        --datadir=/usr/share \
        --sysconfdir=/etc \
        --mandir=%_mandir \
	--with-confdir=/etc/wwwoffle \
        --with-docdir=%_defaultdocdir/wwwoffle
make

%install
export LC_ALL=C
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/cron.{daily,weekly}
make DESTDIR=$RPM_BUILD_ROOT install
install -m 755 %SOURCE3 $RPM_BUILD_DIR
sed "s@/etc/wwwoffle\\.conf@/etc/wwwoffle/wwwoffle.conf@g" < doc/wwwoffled.man \
	> $RPM_BUILD_ROOT%_mandir/man8/wwwoffled.8
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/wwwoffle
ln -fs ../../etc/init.d/wwwoffle $RPM_BUILD_ROOT/usr/sbin/rcwwwoffle
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -d -m 755 $RPM_BUILD_ROOT/etc/ppp/ip-{up,down}.d
install -m 755 %SOURCE3 $RPM_BUILD_ROOT/%_sysconfdir/ppp/ip-up.d/%name
install -m 755 %SOURCE4 $RPM_BUILD_ROOT/%_sysconfdir/ppp/ip-down.d/%name
install -m 644 %SOURCE5 $RPM_BUILD_ROOT/%_sysconfdir/cron.weekly/%name
# run as wwwrun:www by default
pushd $RPM_BUILD_ROOT%_sysconfdir/wwwoffle
sed "s/^#run-uid.*/ run-uid           = wwwrun/
     s/^#run-gid.*/ run-gid           = www/" < wwwoffle.conf > wwwoffle.conf.t
mv wwwoffle.conf.t wwwoffle.conf
popd
rm -rf $RPM_BUILD_ROOT/usr/doc/wwwoffle
rm -rf $RPM_BUILD_ROOT/var/spool/wwwoffle/outgoing/*

%post 
%fillup_and_insserv wwwoffle

%preun
%stop_on_removal wwwoffle

%postun
%restart_on_update wwwoffle
%insserv_cleanup

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
# docs
%doc ChangeLog* LSM contrib doc/*
%_mandir/man1/*
%_mandir/man5/*
%_mandir/man8/*
# wwwoffle configs
%config /etc/init.d/wwwoffle
%config(missingok,noreplace) %attr(755,root,root) %_sysconfdir/cron.weekly/%name
%dir %attr(750, wwwrun, root) /etc/wwwoffle
%config %attr(640, wwwrun, root) /etc/wwwoffle/wwwoffle.conf
%dir  /var/spool/wwwoffle/search/
# search configs for htdig
%dir /var/spool/wwwoffle/search/htdig
%dir /var/spool/wwwoffle/search/htdig/conf
%config(noreplace) /var/spool/wwwoffle/search/htdig/conf/htfuzzy.conf
%config(noreplace) /var/spool/wwwoffle/search/htdig/conf/htsearch.conf
%config(noreplace) /var/spool/wwwoffle/search/htdig/conf/htdig-full.conf
%config(noreplace) /var/spool/wwwoffle/search/htdig/conf/htdig-lasttime.conf
%config(noreplace) /var/spool/wwwoffle/search/htdig/conf/htdig-incr.conf
%config(noreplace) /var/spool/wwwoffle/search/htdig/conf/htmerge.conf
# search configs for mnogosearch
%dir /var/spool/wwwoffle/search/mnogosearch
%dir /var/spool/wwwoffle/search/mnogosearch/conf
%config(noreplace) /var/spool/wwwoffle/search/mnogosearch/conf/indexer-full.old.conf
%config(noreplace) /var/spool/wwwoffle/search/mnogosearch/conf/result.html
%config(noreplace) /var/spool/wwwoffle/search/mnogosearch/conf/indexer-incr.old.conf
%config(noreplace) /var/spool/wwwoffle/search/mnogosearch/conf/indexer-full.conf
%config(noreplace) /var/spool/wwwoffle/search/mnogosearch/conf/indexer-incr.conf
# search configs for namazu
%dir /var/spool/wwwoffle/search/namazu
%dir /var/spool/wwwoffle/search/namazu/conf/
%config(noreplace) /var/spool/wwwoffle/search/namazu/conf/mknmzrc
%config(noreplace) /var/spool/wwwoffle/search/namazu/conf/namazurc
%dir %attr(750, wwwrun, root) /var/spool/wwwoffle
%dir                        /var/spool/wwwoffle/html
%doc                        /var/spool/wwwoffle/html/*
%dir %attr(-, wwwrun, root) /var/spool/wwwoffle/http
%dir %attr(-, wwwrun, root) /var/spool/wwwoffle/lasttime
%dir %attr(-, wwwrun, root) /var/spool/wwwoffle/monitor
%dir %attr(-, wwwrun, root) /var/spool/wwwoffle/outgoing
%dir %attr(-, wwwrun, root) /var/spool/wwwoffle/prevtime1
# rest of htdig
/var/spool/wwwoffle/search/htdig/db
/var/spool/wwwoffle/search/htdig/tmp
/var/spool/wwwoffle/search/htdig/scripts
/var/spool/wwwoffle/search/htdig/db-lasttime
# rest of mnogosearch
/var/spool/wwwoffle/search/mnogosearch/db
/var/spool/wwwoffle/search/mnogosearch/scripts
/var/spool/wwwoffle/search/udmsearch
# rest of namazu
/var/spool/wwwoffle/search/namazu/db
/var/spool/wwwoffle/search/namazu/scripts
%_bindir/*

%_sbindir/*
/etc/ppp/ip-up.d/%name
/etc/ppp/ip-down.d/%name

%changelog -n wwwoffle
* Tue Feb 28 2006 - hvogel@suse.de
- fix files list [#115165]
* Fri Feb 17 2006 - hvogel@suse.de
- clean up %%files section
- mark all config files [#115165]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - mmj@suse.de
- Update to wwwoffle-2.8e
* Fri Oct 21 2005 - mmj@suse.de
- Install wwwoffle control files in /etc/ppp/if-{up,down}.d [#129452]
* Tue Sep 06 2005 - mmj@suse.de
- Make wwwoffle be able to use htdig if it's there [#115165]
* Tue Apr 26 2005 - mmj@suse.de
- Allocate enough room for const char *str
* Mon Dec 20 2004 - mmj@suse.de
- Update to 2.8d
* Mon Jun 14 2004 - mmj@suse.de
- Update to 2.8c which is a bugfix release
* Fri Dec 05 2003 - mmj@suse.de
- Update to 2.8a
* Thu Oct 16 2003 - mmj@suse.de
- Don't build as root
- Clean the specfile
* Thu Sep 18 2003 - mmj@suse.de
- Make it not segfault on amd64 [#31327]
* Thu Jul 31 2003 - poeml@suse.de
- since the configuration file and spool directory are owned by
  user wwwrun, run as wwwrun by default
- new macros for stop/restart of services on rpm update/removal
- let /var/spool/wwwoffle/{html,search} be owned by root
* Mon Jun 02 2003 - schwab@suse.de
- Fix manpages.
- Fix links in translated index pages.
* Tue May 13 2003 - mmj@suse.de
- Remove unwanted files, and package some missed ones
* Wed Jan 22 2003 - mmj@suse.de
- Up to 2.7h which is a bugfix release with focus on security.
- Moved the config file back to /etc/wwwoffle/ since it makes bet-
  ter sense there [#23005]
* Wed Dec 04 2002 - mmj@suse.de
- Up to 2.7g which is another minor bugfix release.
* Wed Oct 02 2002 - mmj@suse.de
- Up to 2.7f mainly a bugfix-release. Fixes [#20432]
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu Aug 15 2002 - mmj@suse.de
- Correct PreReq:
* Mon Jul 22 2002 - mmj@suse.de
- Added security patch to parse.c, to check length correctly
* Tue Jul 16 2002 - mmj@suse.de
- Update to 2.7c, bugfix and minor feature addition
* Mon Jul 08 2002 - mmj@suse.de
- Fixing to start with /etc/wwwoffle.conf not /etc/wwwoffle
- Removed rc.config call in the init script.
* Mon May 13 2002 - mmj@suse.de
- Update to 2.7b - including lots of new docs and switch to
  autoconf/automake. Also cgi script handling improved.
* Fri Dec 14 2001 - ro@suse.de
- removed START_WWWOFFLE
* Thu Oct 11 2001 - grimmer@suse.de
- fixed return code of the wwwoffle.cron script (cron sent
  a failure notice "SCRIPT: wwwoffle exited with RETURNCODE = 3"
  if the wwwoffled daemon was not running) [#11492]
* Wed Sep 19 2001 - grimmer@suse.de
- Use "startproc -q" in rc.wwwoffle to suppress misleading
  warning messages ("Failed to bind IPv4 server socket [Address
  already in use]") [#10791]
- removed "chown -R wwwrun.root" in install section to enable
  non-root users to build the package as well (file ownerships
  are being properly set in the file list anyway)
* Thu Jul 26 2001 - grimmer@suse.de
- Update to 2.6d: bugfixes and new features (e.g. IPv6 support)
- enabled IPv6 support and added required patch to sockets6.c
* Mon Jul 23 2001 - grimmer@suse.de
- Update to 2.6c
* Mon Apr 23 2001 - grimmer@suse.de
- Updated init file according to new skeleton
* Wed Apr 04 2001 - grimmer@suse.de
- update to 2.6b
- removed Makefile patches (obsolete)
- added cron script as a separate source file
* Sun Feb 11 2001 - grimmer@suse.de
- update to 2.6a
- added sample ip-up.local file to documentation directory (#6254)
- added upgrade-config scripts to file list
* Tue Jan 16 2001 - grimmer@suse.de
- removed "noreplace" from config file /etc/wwwoffle/wwwoffle.conf
  since wwwoffle segfaults with an old config file after an
  update (#4940)
* Mon Dec 18 2000 - grimmer@suse.de
- fixed path to ht://dig binaries
* Wed Dec 06 2000 - grimmer@suse.de
- removed dependency on htdig and removed daily cron job
- fixed some typos in init script and spec file
- made weekly cron job more robust
- updated wwwoffle.test
* Thu Nov 30 2000 - grimmer@suse.de
- Update to 2.6
- created new init script and moved it to /etc/init.d
- added BuildRoot
- use some more RPM macros
- added some more files and cron jobs
* Mon Jun 19 2000 - grimmer@suse.de
- Update to 2.5e
* Thu Mar 30 2000 - grimmer@suse.de
- fixed init script (reload is a real reload now) (#2650)
* Thu Feb 24 2000 - grimmer@suse.de
- added Group tag
* Mon Feb 21 2000 - grimmer@suse.de
- Update to 2.5d
- removed obsolete patch for errors.c
- moved man pages to /usr/share/man
* Tue Jan 25 2000 - uli@suse.de
- errors.c: fixed misuse of va_arg macro
* Sat Oct 02 1999 - grimmer@suse.de
- Update to 2.5
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 05 1999 - grimmer@suse.de
- Update to 2.4e
- added docu in multiple languages to $DOCDIR
* Mon May 31 1999 - grimmer@suse.de
- update to version 2.4d
* Tue Apr 13 1999 - grimmer@suse.de
- update to version 2.4b
- specfile updates
- updated rc-script
* Thu Mar 25 1999 - ro@suse.de
- fixed rc-script
* Tue Dec 08 1998 - ro@suse.de
- fixed typo in rc-script
* Thu Nov 05 1998 - grimmer@suse.de
- update to version 2.3e
- implemented new init script
- fixed script bug (shutdown with password)
* Mon Jul 20 1998 - grimmer@suse.de
- changed CONFDIR again to /etc/wwwoffle/
- minor fix in init script rc.wwwoffle
* Sun Jul 19 1998 - grimmer@suse.de
- update to version 2.2c
- changed CONFDIR back to /var/spool/
* Fri Jul 03 1998 - bs@suse.de
- changed gid of /var/spool/wwwoffle from nogroup to root.
* Wed Jul 01 1998 - grimmer@suse.de
- update to version 2.2
- updated init-script (reload, status)
- updated specfile (spoolfile,tools)
- changed CONFDIR to /etc
* Fri Apr 03 1998 - bs@suse.de
- changed gid from nogroup to wwwadmin
* Tue Feb 17 1998 - ro@suse.de
- update to version 2.0 (bb@suse.de)
* Fri Nov 14 1997 - ro@suse.de
- fixed specfile (installation of docfiles)
* Mon Nov 03 1997 - bb@suse.de
  new package!
